<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html
	PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
 xmlns:h="http://java.sun.com/jsf/html"
 xmlns:ui="http://java.sun.com/jsf/facelets"
 xmlns:composite="http://java.sun.com/jsf/composite"
 xmlns:f="http://java.sun.com/jsf/core">
 

<composite:interface>
	<composite:attribute name="itemLabel" type="java.lang.String" />
	<composite:attribute name="value" type="java.util.List" required="true" />
	<composite:attribute name="listener" method-signature="void action(java.lang.Object)"  />
	<composite:attribute name="clearSelectedItensListener" method-signature="void action()"  />
	<composite:attribute name="itemSelect" />
	<composite:attribute name="update" />
	<composite:attribute name="labelOpen"  type="java.lang.String"/>
	<composite:attribute name="labelClose"  type="java.lang.String"/>
</composite:interface>
 
<composite:implementation>

<script>

function abrirFecharFiltros_#{cc.attrs.id}(){
	if( $('a#linkFiltro-#{cc.attrs.id}').text() == '#{cc.attrs.labelOpen}'){
		$('a#linkFiltro-#{cc.attrs.id}').text('#{cc.attrs.labelClose}')
	}else{
		$('a#linkFiltro-#{cc.attrs.id}').text('#{cc.attrs.labelOpen}')
	}
	jQuery('#menuFiltro-#{cc.attrs.id}').slideToggle('fast')
}


</script>
<f:view>
	<div class="row-fluid">
		<h:panelGroup id="panel-#{cc.attrs.id}" styleClass="span12">
			<div class="row-fluid">
				<h:commandLink title="Limpar Filtros" style="margin-bottom:	2px" styleClass="btn span2" action="#{cc.attrs.clearSelectedItensListener}">
					<i class="icon-fire" ></i>
					<f:ajax render="#{cc.attrs.update} panel-#{cc.attrs.id}"/>
				</h:commandLink>

				<div class="span10">
					<a id="linkFiltro-#{cc.attrs.id}" onclick="javascript:abrirFecharFiltros_#{cc.attrs.id}()" style="border-style: hidden;" href="#">#{cc.attrs.labelOpen}</a>
					<div  id="menuFiltro-#{cc.attrs.id}" style="display: none;" class=" well well-small">
						<ul class="menuFiltro-#{cc.attrs.id}">
							<ui:repeat var="var" value="#{cc.attrs.value}">
								<li>
									<h:commandLink value="#{var.text}" action="#{cc.attrs.listener}">
										<f:setPropertyActionListener target="#{cc.attrs.itemSelect}" value="#{var}" />
										<f:ajax render="#{cc.attrs.update} @this"/>
										<h:panelGroup rendered="#{var.selecionado}">
											<i class="icon-ok"></i>
										</h:panelGroup>
									</h:commandLink>
								</li>
							</ui:repeat>
						</ul>
					</div>
				</div>
			</div>			
		</h:panelGroup>
	</div>
</f:view>
</composite:implementation>

</ui:composition>